# -bb (Set output log level) switch

The switch sets output log level for Delete/Add/Update/Extract operations.

#### Syntax

    -bb[0-3]

Log level | Description
--- | ---
-bb0 | disable log (default).
-bb1 or -bb | show names of processed files in log.
-bb2 | show names of additional files that were processed internally in solid archives: skipped files for "Extract" operation, repacked files for "Add" / "Update" operations.
-bb3 | show information about additional operations (Analyze, Replicate) for "Add" / "Update" operations.

#### Examples

    7z a a.7z *.txt -bb

adds *.txt files to a.7z archive and shows all files that were processed.

    7z u a.7z *.txt -bb3

updates *.txt files in a.7z archive and shows information about additional operations.

#### Commands that can be used with this switch

a (Add), d (Delete), e (Extract), u (Update), x (Extract with full paths)